
(cl:in-package :asdf)

(defsystem "program_queue-srv"
  :depends-on (:roslisp-msg-protocol :roslisp-utils :program_queue-msg
)
  :components ((:file "_package")
    (:file "CallProgram" :depends-on ("_package_CallProgram"))
    (:file "_package_CallProgram" :depends-on ("_package"))
    (:file "GetMyPrograms" :depends-on ("_package_GetMyPrograms"))
    (:file "_package_GetMyPrograms" :depends-on ("_package"))
    (:file "CreateProgram" :depends-on ("_package_CreateProgram"))
    (:file "_package_CreateProgram" :depends-on ("_package"))
    (:file "GetQueue" :depends-on ("_package_GetQueue"))
    (:file "_package_GetQueue" :depends-on ("_package"))
    (:file "GetPrograms" :depends-on ("_package_GetPrograms"))
    (:file "_package_GetPrograms" :depends-on ("_package"))
    (:file "DequeueProgram" :depends-on ("_package_DequeueProgram"))
    (:file "_package_DequeueProgram" :depends-on ("_package"))
    (:file "CreateUser" :depends-on ("_package_CreateUser"))
    (:file "_package_CreateUser" :depends-on ("_package"))
    (:file "GetProgram" :depends-on ("_package_GetProgram"))
    (:file "_package_GetProgram" :depends-on ("_package"))
    (:file "GetOutput" :depends-on ("_package_GetOutput"))
    (:file "_package_GetOutput" :depends-on ("_package"))
    (:file "ClearQueue" :depends-on ("_package_ClearQueue"))
    (:file "_package_ClearQueue" :depends-on ("_package"))
    (:file "Login" :depends-on ("_package_Login"))
    (:file "_package_Login" :depends-on ("_package"))
    (:file "UpdateProgram" :depends-on ("_package_UpdateProgram"))
    (:file "_package_UpdateProgram" :depends-on ("_package"))
    (:file "RunProgram" :depends-on ("_package_RunProgram"))
    (:file "_package_RunProgram" :depends-on ("_package"))
    (:file "QueueProgram" :depends-on ("_package_QueueProgram"))
    (:file "_package_QueueProgram" :depends-on ("_package"))
    (:file "Logout" :depends-on ("_package_Logout"))
    (:file "_package_Logout" :depends-on ("_package"))
  ))